﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Infragistics.Web.UI.GridControls;
using System.Data;

public partial class _Default : System.Web.UI.Page
{
    DataTable dt;

    protected void Page_Load(object sender, EventArgs e)
    {
        dt = (DataTable)Session["data"];
        if (dt == null)
        {
            dt = ReturnData();
            Session.Add("data", dt);
        }
        
        this.WebDataGrid1.DataSource = dt;
        this.WebDataGrid1.DataBind();


    }
    protected void WebDataGrid1_RowUpdating(object sender, RowUpdatingEventArgs e)
    {
        DataRow dr = dt.Rows.Find(e.OldValues["ID"]);
        dr["Name"] = e.Values["Name"];
        Session["data"] = dt;

    }
    private DataTable ReturnData()
    {
        DataTable table = new DataTable();

        table.Columns.Add("ID", typeof(string));
        table.Columns.Add("Name", typeof(int));

        table.PrimaryKey = new DataColumn[] { table.Columns["ID"] };

        for (int x = 0; x < 10; x++)
        {
            table.Rows.Add(x.ToString(), x);
        }
        return table;

    }
}
